#! /bin/bash

#~ TEST OGR PGDump driver - GDAL 1.9dev
#~ Error description: 
#~ --config PG_USE_COPY YES option generates COPY instructions with inserts of 
#~ 		null values in the geometry column even if the source (MapInfo) table has no geometry.

# PG_USE_COPY NO on non-geometric table: inserts do not contain reference to geometric column (OK)
ogr2ogr --config PG_USE_COPY NO -append -progress -f 'PGDump' out/NoGeomTest_nocopy.sql data/NoGeomTest.TAB \
	-lco LAUNDER=NO -lco CREATE_TABLE=OFF

# PG_USE_COPY NO on non-geometric table: inserts do not contain reference to geometric column (OK)
ogr2ogr --config PG_USE_COPY NO -append -progress -f 'PGDump' out/NoGeomTest_nocopy_create.sql data/NoGeomTest.TAB \
	-lco LAUNDER=NO -lco CREATE_TABLE=ON

# PG_USE_COPY YES on non-geometric table: tries to insert in nonexistent geom column (ERROR)
# See previous test (with PG_COPY = NO)
ogr2ogr --config PG_USE_COPY YES -append -progress -f 'PGDump' out/NoGeomTest_copy.sql data/NoGeomTest.TAB \
	-lco LAUNDER=NO -lco CREATE_TABLE=OFF

# PG_USE_COPY YES and -lco CREATE_TABLE=ON on non-geometric table: tries to create nonexistent geom column (ERROR)
ogr2ogr --config PG_USE_COPY YES -append -progress -f 'PGDump' out/NoGeomTest_copy_create.sql data/NoGeomTest.TAB \
	-lco LAUNDER=NO  -lco CREATE_TABLE=ON
